View Issue Details

IDProjectCategoryView StatusLast Update
0001486SymmetricDSBugpublic2014-02-02 20:53
Reporterraja_s_patilAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.5.11 
Target Version3.5.12Fixed in Version3.5.12 
Summary0001486: File Sync "sync_on_delete" not honored.
DescriptionWe have configured File Synchronization as Follows
For testing we have used a snapshot of 3.5.12.

    INSERT INTO sym_file_trigger
        (trigger_id, base_dir, recurse, includes_files, excludes_files, sync_on_create,
        sync_on_modified, sync_on_delete, before_copy_script,
        after_copy_script, create_time, last_update_time)
    VALUES
        ('Tomcat_Logs', '/home/FB_DATA/logs', 1, '*.logarc',null, 1,
         1, 0, 'targetBaseDir = "/Tej-EIS-Common/logs-Branch/" + sourceNodeId;',
         null, current_timestamp, current_timestamp);

    INSERT INTO sym_file_trigger_router
        (trigger_id, router_id, enabled, initial_load_enabled, target_base_dir,
        conflict_strategy, create_time, last_update_time)
    VALUES
        ('Tomcat_Logs', 'Branch_2_Central_Logs', 1, 0, '',
         'SOURCE_WINS', current_timestamp, current_timestamp);
 

1. When new .logarc is Created it is replicated Properly.
2. When .logarc is edited it is replicated Properly.

3. When .logarc is deleted it is also deleted from destination in-spite of sync_on_delete is set to 0, which should not.

4. When .logarc primary name is renamed its also renamed on destination which as per logic, I feel that it should retain original file as well should create new file with new name. However at present does not matter since current functionality is also logically correct in another sense.

Thanks and warm Regards

Raja Patil
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 91d6bdc2

2013-12-14 13:13:20

chenson

Details Diff
0001486: File Sync "sync_on_delete" not honored.
0001486
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/file/FileSyncZipDataWriter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/file/FileTriggerTracker.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/FileSnapshot.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/FileSyncDataRouter.java Diff File

Issue History

Date Modified Username Field Change
2013-12-13 12:58 raja_s_patil New Issue
2013-12-14 12:06 chenson Assigned To => chenson
2013-12-14 12:06 chenson Status new => assigned
2013-12-14 12:06 chenson Summary File Sync "sync_on_delete" not honered. => File Sync "sync_on_delete" not honored.
2013-12-14 13:13 chenson Fixed in Version => 3.5.12
2013-12-14 13:13 chenson Target Version => 3.5.12
2013-12-14 13:16 chenson Status assigned => resolved
2013-12-14 13:16 chenson Resolution open => fixed
2013-12-18 10:55 chenson Status resolved => closed
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7799
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 91d6bdc2